## org.eclipse.datatools.modelbase.sql.query
Interface UpdateSourceExprList

All Superinterfaces:
  SQLObject, SQLQueryObject, UpdateSource

All Known Implementing Classes:
  UpdateSourceExprListImpl

public interface UpdateSourceExprList
extends UpdateSource

A representation of the model object 'Update Source Expr List'.

The following features are supported:

- `Value Expr List`

See Also:
  `SQLQueryModelPackage.getUpdateSourceExprList()`

Method Summary
`EList` `getValueExprList()` Returns the value of the 'Value Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.UpdateSource
`getUpdateAssignmentExpr, setUpdateAssignmentExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExprList

    public EList getValueExprList()

  Returns the value of the 'Value Expr List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Update Source Expr List`'.

  If the meaning of the 'Value Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getUpdateSourceExprList_ValueExprList()`, `QueryValueExpression.getUpdateSourceExprList()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.